Dates this person is unavailable

​

Same as listing staff member blockouts with filter[staffMemberId] pinned to this staff member. 404 if the staff member does not exist.

Path Parameters

  • Staff member id.

Query Parameters

  • Page size, 50 by default, 200 at most.

  • Records to skip.

  • Comma-separated fields; prefix with - for descending. Sortable: staffMemberId, startDate, endDate, reason, createdTime, lastEditedTime, id. Default: startDate.

  • Comma-separated subset of fields to return. id is always included.

  • Shorthand filter[staffMemberId]=value means equals. Operators: equals, does_not_equal, is_empty, is_not_empty.

    • Shorthand filter[staffMemberId]=value means equals. Operators: equals, does_not_equal, is_empty, is_not_empty.

  • Shorthand filter[startDate]=value means equals. Operators: equals, before, after, on_or_before, on_or_after, is_empty, is_not_empty.

    • Shorthand filter[startDate]=value means equals. Operators: equals, before, after, on_or_before, on_or_after, is_empty, is_not_empty.

  • Shorthand filter[endDate]=value means equals. Operators: equals, before, after, on_or_before, on_or_after, is_empty, is_not_empty.

    • Shorthand filter[endDate]=value means equals. Operators: equals, before, after, on_or_before, on_or_after, is_empty, is_not_empty.

  • Shorthand filter[reason]=value means equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.

    • Shorthand filter[reason]=value means equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.

  • Shorthand filter[createdTime]=value means equals. Operators: equals, before, after, on_or_before, on_or_after, is_empty, is_not_empty.

    • Shorthand filter[createdTime]=value means equals. Operators: equals, before, after, on_or_before, on_or_after, is_empty, is_not_empty.

  • Shorthand filter[lastEditedTime]=value means equals. Operators: equals, before, after, on_or_before, on_or_after, is_empty, is_not_empty.

    • Shorthand filter[lastEditedTime]=value means equals. Operators: equals, before, after, on_or_before, on_or_after, is_empty, is_not_empty.

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/staff-members/{id}/blockouts
curl 'https://api.weddingoperatingsystems.com/api/v1/staff-members/123e4567-e89b-12d3-a456-426614174000/blockouts?limit=50&offset=0&sort=startDate' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "staffMemberId": null,
      "startDate": null,
      "endDate": null,
      "reason": null,
      "createdTime": "2026-09-30T06:22:05.749Z",
      "lastEditedTime": "2026-09-30T06:22:05.749Z"
    }
  ],
  "meta": {
    "total": 1,
    "limit": 1,
    "offset": 1
  }
}